using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace  Models
{
    /// <summary>
    /// 酒店 状态信息变化日志
    /// </summary>
    [Table("TBL_HOTEL_STATUS_LOG"), Comment("酒店 状态信息变化日志")]
    public class TBL_HOTEL_STATUS_LOG
    {
        /// <summary>
        /// ID  主键id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("ID,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }


        /// <summary>
        ///   HOTEL_ID  酒店id
        /// </summary>
        [Column(TypeName = "int"), Comment("酒店id"), Required]
        public int HOTEL_ID { get; set; }


        /// <summary>
        ///   LOG_TYPE  日志类型
        /// </summary>
        [Column(TypeName = "int"), Comment("日志类型"), Required]
        public int LOG_TYPE { get; set; }



        /// <summary>
        ///   HOTEL_STATUS_ID  酒店状态id
        /// </summary>
        [Column(TypeName = "int"), Comment("酒店状态id"), Required]
        public int HOTEL_STATUS_ID { get; set; }


        /// <summary>
        /// 录入时间
        /// </summary>

        [Column(TypeName = "datetime"), Comment("录入时间，插入时自动赋值"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]

        public DateTime KEY_IN_DATETIME { get; set; } = DateTime.Now;


        [Column(TypeName = "int"), Comment("录入人")]

        public int KEY_IN { get; set; }


        /// <summary>
        /// 有效日期
        /// </summary>

        [Required, Column(TypeName = "datetime"), Comment("有效日期")]


        public DateTime VALID_DATETIME { get; set; }

        /// <summary>
        /// 记录更新时间
        /// </summary>

         [ Column(TypeName = "datetime"), Comment("记录更新时间")]


        public DateTime? UPDATE_TIMEMARK { get; set; }


        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string REMARK { get; set; }
    }
}
